# LLM Response Analysis Framework

Welcome to a LLM Response Analysis Framework! This tool is designed to dive deep into the heart of Language Models (LLMs) and their intriguing responses. Designed for researchers, developers, and LLM enthusiasts, the framework offers a way to examine the consistency of Large Language Models and Agents build on them.

## Features

- **Dynamic LLM Integration**
Seamlessly connect with various LLM providers and models to fetch responses using a flexible architecture.

- **Semantic Similarity Calculation**
Understand the nuanced differences between responses by calculating their semantic distances.

- **Diverse Response Analysis**
Group, count, and analyze responses to highlight both their uniqueness and redundancy.

- **Rich Presentation**
Utilize beautiful tables and text differences to present analysis results in an understandable and visually appealing manner.

## Screenshots

Below are some screenshots showcasing the framework in action:

### GPT-3.5 Example

![GPT-3.5 Analysis](docs/img/GPT3.5.png)

### GPT-4 Example

![GPT-4 Analysis](docs/img/GPT4.png)

These visuals provide a glimpse into how the framework processes and presents data from different LLM versions, highlighting the flexibility and depth of analysis possible with this tool.
